/* ポップアウトが表示されるまでの時間 */
var timeout = 55000;

var timer;
var timeouted = false;

var _ua = (function(u){
  return {
    Tablet:(u.indexOf("windows") != -1 && u.indexOf("touch") != -1 && u.indexOf("tablet pc") == -1)
      || u.indexOf("ipad") != -1
      || (u.indexOf("android") != -1 && u.indexOf("mobile") == -1)
      || (u.indexOf("firefox") != -1 && u.indexOf("tablet") != -1)
      || u.indexOf("kindle") != -1
      || u.indexOf("silk") != -1
      || u.indexOf("playbook") != -1,
    Mobile:(u.indexOf("windows") != -1 && u.indexOf("phone") != -1)
      || u.indexOf("iphone") != -1
      || u.indexOf("ipod") != -1
      || (u.indexOf("android") != -1 && u.indexOf("mobile") != -1)
      || (u.indexOf("firefox") != -1 && u.indexOf("mobile") != -1)
      || u.indexOf("blackberry") != -1
  }
})(window.navigator.userAgent.toLowerCase());

window.onunload = function() {
  popup();
};

window.onbeforeunload = function(e) {
	if (_ua.Mobile || _ua.Tablet){
		popup();
		return 'フォームを確認してください。';
	}
};

/* 画面の外に出ようとするとポップアップ */
window.onmouseout = function(e){
  if (e.clientY < 10){
		popup();
	}
}

/* ポップアップ処理 */
function popup(){
	var vScroll = document.body.scrollTop || document.documentElement.scrollTop;
	var hScroll = document.body.scrollLeft || document.documentElement.scrollLeft;

	/* ポップアップを画面中央に表示 */
	var dialog = document.getElementById("popup");
	dialog.style.display = "block";
	// dialog.style.top = (vScroll + window.innerHeight / 2 - dialog.clientHeight / 2) + "px";
  dialog.style.top = (vScroll + 10) + "px";
	dialog.style.left = (hScroll + window.innerWidth / 2 - dialog.clientWidth / 2) + "px";

	/* 背景を灰色に設定 */
	document.getElementById("backout").style.display = "block";

	/* 表示したら、いったんタイマーを停止 */
	clearInterval(timer);
}

/* タイムアウトしたとき、記録してポップアップ */
function timeout_popup(){
	timeouted = true;
	popup();
}

/* 閉じるボタンを押したときの処理 */
function close_button_click(){
	/* ポップアップを隠す */
	document.getElementById("backout").style.display = "none";
	document.getElementById("popup").style.display = "none";

	/* 一度もタイムアウトしていなければタイマーを開始 */
	if (!timeouted){
		timer = setTimeout(timeout_popup, timeout);
	}
}

/* タイマーを開始 */
timer = setTimeout(timeout_popup, timeout);
